{% extends 'layout.html.twig' %}

{% import _self as macros %}

{% macro test_result(test) %}

{% if test.result == 0 %}
	<span class="hidden-xs">
		<button type="button" class="btn btn-test-result btn-success btn-xs">
			<i class="glyphicon glyphicon-ok"></i>
		</button>
		{{ test.currentState }}
	</span>
	<span class="visible-xs">
		<button type="button" class="btn btn-test-result btn-success btn-xs">
			<i class="glyphicon glyphicon-ok"></i>
		</button>
	</span>
{% elseif test.result == 1 %}
	{% if test.isOptional %}
	<span class="hidden-xs">
		{% if test.isRecommended %}
			<button type="button" class="btn btn-test-result btn-warning btn-xs">
				<i class="glyphicon glyphicon-exclamation-sign"></i>
			</button>
		{% else %}
			<button type="button" class="btn btn-test-result btn-primary btn-xs">
				<i class="glyphicon glyphicon-remove"></i>
			</button>
		{% endif %}
		{{ test.currentState }}
	</span>
	<span class="visible-xs">
		{% if test.isRecommended %}
			<button type="button" class="btn btn-test-result btn-warning btn-xs">
				<i class="glyphicon glyphicon-exclamation-sign"></i>
			</button>
		{% else %}
			<button type="button" class="btn btn-test-result btn-primary btn-xs">
				<i class="glyphicon glyphicon-remove"></i>
			</button>
		{% endif %}
	</span>
	{% else %}
	<span class="hidden-xs">
		<button type="button" class="btn btn-test-result btn-danger btn-xs">
			<i class="glyphicon glyphicon-remove"></i>
		</button>
		{{ test.currentState }}
	</span>
	<span class="visible-xs">
		<button type="button" class="btn btn-test-result btn-danger btn-xs">
			<i class="glyphicon glyphicon-remove"></i>
		</button>
	</span>
	{% endif %}
{% elseif test.result == 2 %}
{% endif %}

{% endmacro %}

{% block main %}
<div class="container">
	<h1>JTL-Shop-Systemcheck</h1>

	<div class="form-horizontal">
		<h4>Webhosting-Plattform</h4>
		<div class="form-group">
			<label class="col-sm-2 control-label">Provider:</label>
			<div class="col-sm-10">
				<p class="form-control-static">
					{% if platform.provider == 'jtl' %}
					JTL-Software GmbH
					{% elseif platform.provider == 'hosteurope' %}
					HostEurope
					{% elseif platform.provider == 'strato' %}
					Strato
					{% elseif platform.provider == '1und1' %}
					1&amp;1
					{% elseif platform.provider == 'alfahosting' %}
					Alfahosting
					{% else %}
					<em>unbekannt</em> (Hostname: {{ platform.hostname }})
					{% endif %}
				</p>
			</div>
		</div>
		<div class="form-group">
			<label class="col-sm-2 control-label">PHP-Version:</label>
			<div class="col-sm-10">
				<p class="form-control-static">{{ platform.phpVersion }}</p>
			</div>
		</div>
		<div class="form-group">
			<label class="col-sm-2 control-label">Document Root:</label>
			<div class="col-sm-10">
				<p class="form-control-static">{{ platform.documentRoot }}</p>
			</div>
		</div>
		{% if platform.provider == 'hosteurope' or platform.provider == 'strato' or platform.provider == '1und1' %}
		<div class="form-group">
			<label class="col-sm-2 control-label">Hinweise:</label>
			<div class="col-sm-10">
				<p class="form-control-static">
					{% if platform.provider == 'hosteurope' %}
					Sie können die PHP-Einstellungen im <a href="https://kis.hosteurope.de/">HostEurope-KIS</a> (<a href="https://kis.hosteurope.de/">https://kis.hosteurope.de/</a>) anpassen.
					{% elseif platform.provider == 'strato' %}
					Bitte laden Sie <a href="http://www.ioncube.com/loaders.php">hier</a> den ionCube-Loader herunter und entpacken Sie das Archiv nach {{ platform.documentRoot }} auf dem Server.<br>
					Erstellen Sie auf dem Server eine Datei <code>php.ini</code> mit dem folgenden Inhalt:<br><br>
					<pre>[Zend]
zend_extension = {{ platform.documentRoot }}/ioncube/ioncube_loader_lin_{{ platform.phpVersion|slice(0,3) }}.so</pre>
					{% elseif platform.provider == '1und1' %}
					Bitte laden Sie <a href="http://www.ioncube.com/loaders.php">hier</a> den ionCube-Loader herunter und entpacken Sie das Archiv nach {{ platform.documentRoot }} auf dem Server.<br>
					Erstellen Sie auf dem Server eine Datei <code>php.ini</code> mit dem folgenden Inhalt:<br><br>
					<pre>[Zend]
zend_extension = {{ platform.documentRoot }}/ioncube/ioncube_loader_lin_{{ platform.phpVersion|slice(0,3) }}.so</pre>
					{% endif %}
				</p>
			</div>
		</div>
		{% endif %}
	</div>

	{% if not passed %}
	<div class="alert alert-danger">
		JTL-Shop 3 ist auf Ihrer Konfiguration nicht lauffähig. Bitte beheben Sie zunächst alle mit dem Symbol <button type="button" class="btn btn-danger btn-xs"><i class="glyphicon glyphicon-remove"></i></button> gekennzeichneten Probleme und versuchen Sie es danach erneut.
	</div>
	{% endif %}

	{% if tests.programs|length > 0 %}
	<table class="table table-striped table-hover">
		<caption>Installierte Software</caption>
		<thead>
			<tr>
				<th class="col-xs-7">Software</th>
				<th class="col-xs-3">Voraussetzung</th>
				<th class="col-xs-2">Ihr System</th>
			</tr>
		</thead>
		<tbody>
			{% for test in tests.programs if (not test.isOptional or test.isRecommended) %}
			<tr>
				<td>
					<div class="test-name">
						<strong>{{ test.name }}</strong><br>
						<p class="hidden-xs expandable">{{ test.description|raw }}</p>
					</div>
				</td>
				<td>{{ test.requiredState }}</td>
				<td>{{ macros.test_result(test) }}</td>
			</tr>
			{% endfor %}
		</tbody>
	</table>
	{% endif %}

	{% if tests.php_modules|length > 0 %}
	<table class="table table-striped table-hover">
		<caption>Benötigte PHP-Erweiterungen und -Funktionen:</caption>
		<thead>
			<tr>
				<th class="col-xs-10">Extension/Funktion</th>
				<th class="col-xs-2">Ihr System</th>
			</tr>
		</thead>
		<tbody>
			{% for test in tests.php_modules if (not test.isOptional or test.isRecommended) %}
			<tr>
				<td>
					<div class="test-name">
						<strong>{{ test.name }}</strong><br>
						<p class="hidden-xs expandable">{{ test.description|raw }}</p>
					</div>
				</td>
				<td>{{ macros.test_result(test) }}</td>
			</tr>
			{% endfor %}
		</tbody>
	</table>
	{% endif %}

	{% if tests.php_config|length > 0 %}
	<table class="table table-striped table-hover">
		<caption>Benötigte PHP-Einstellungen:</caption>
		<thead>
			<tr>
				<th class="col-xs-7">Einstellung</th>
				<th class="col-xs-3">Benötigter Wert</th>
				<th class="col-xs-2">Ihr System</th>
			</tr>
		</thead>
		<tbody>
			{% for test in tests.php_config if (not test.isOptional or test.isRecommended) %}
			<tr>
				<td>
					<div class="test-name">
						<strong>{{ test.name }}</strong><br>
						<p class="hidden-xs expandable">{{ test.description|raw }}</p>
					</div>
				</td>
				<td>{{ test.requiredState }}</td>
				<td>{{ macros.test_result(test) }}</td>
			</tr>
			{% endfor %}
		</tbody>
	</table>
	{% endif %}

	{% if tests.recommendations|length > 0 %}
	<table class="table table-striped table-hover">
		<caption>Empfohlene Anpassungen:</caption>
		<thead>
			<tr>
				<th class="col-xs-7">&nbsp;</th>
				<th class="col-xs-3">Empfohlener Wert</th>
				<th class="col-xs-2">Ihr System</th>
			</tr>
		</thead>
		<tbody>
			{% for test in tests.recommendations %}
			<tr>
				<td>
					<div class="test-name">
						<strong>{{ test.name }}</strong><br>
						<p class="hidden-xs expandable">{{ test.description|raw }}</p>
					</div>
				</td>
				<td>{{ test.requiredState }}</td>
				<td>{{ macros.test_result(test) }}</td>
			</tr>
			{% endfor %}
		</tbody>
	</table>
	{% endif %}
</div>
{% endblock %}
